%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}

# build_shared = 0 (don't build shared library package but only the static one)
# build_shared = 1 (build both shared and static package)

%define build_shared	1
%define distsuffix plf
Summary:	FlashPIX OpenSource Toolkit
Name:		fpx
Version:	1.2.0.13
Release: %mkrel 3
License:	distributable (see COPYING)
Group:		System/Libraries
Source0:	ftp://ftp.imagemagick.org/pub/ImageMagick/delegates/libfpx-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
This package contains the FlashPIX OpenSource Toolkit and is based on
source code obtained from the Digital Imaging Group Inc.
(http://www.digitalimaging.org).

This package is in PLF, as it's license isn't open source.

%if %{build_shared}
%package -n %{lib_name}
Summary: A library manipulating Flashpix image files
Group: System/Libraries
Provides: lib%{name}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with libfpx.

This package is in PLF, as it's license isn't open source.
%endif

%package -n %{lib_name}-devel
Summary:	Development tools for programs using the libfpx library
Group:		Development/C
%if %{build_shared}
Requires:	%{lib_name} = %{version}
%endif
Provides:	lib%{name}-devel

%description -n %{lib_name}-devel
The libfpx-devel package includes the header files and static
libraries necessary for developing programs which will manipulate
FlashPIX files using the libfpx library.

If you are going to develop programs which will manipulate FlashPIX
images, you should install libfpx-devel.

This package is in PLF, as it's license isn't open source.
%prep
%setup -q -n libfpx-%{version}

%build
%configure2_5x \
%if %{build_shared}
	   --enable-shared \
%else
	   --disable-shared \
%endif
	   --enable-static
%make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%if %{build_shared}
%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if %{build_shared}
%files -n %{lib_name}
%defattr(-,root,root)
%doc COPYING README NEWS ChangeLog AUTHORS
%{_libdir}/lib*.so.%{lib_major}*
%endif

%files -n %{lib_name}-devel
%defattr(-,root,root,755)
%doc COPYING README NEWS ChangeLog AUTHORS doc
%{_libdir}/*.a
%{_libdir}/*.la
%if %{build_shared}
%{_libdir}/*.so
%endif
%{_includedir}/*

%changelog
* Sat Sep  2 2006 Anssi Hannula <anssi@zarb.org> 1.2.0.13-3plf2007.0
- build shared library

* Wed Aug  2 2006 Gtz Waschk <goetz@zarb.org> 1.2.0.13-2plf2007.0
- fix configure macro

* Mon Jul  3 2006 Gtz Waschk <goetz@zarb.org> 1.2.0.13-1plf2007.0
- New release 1.2.0.13
- use mkrel

* Mon Dec 19 2005 Götz Waschk <goetz@zarb.org> 1.2.0.4-3plf
- Rebuild

* Mon Sep 20 2004 Gtz Waschk <goetz@zarb.org> 1.2.0.4-2plf
- fix description
- add mklibname macro

* Mon Nov 11 2002 Gtz Waschk <waschk@informatik.uni-rostock.de> 1.2.0.4-1plf
- initial plf package

* Sun Nov 10 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.2.0.4-1mdk
- initial release.
